#ifndef VectorND_h
#define VectorND_h

#include<iostream>
using namespace std;

class VectorND {
private:
  int m_imeret;
  double* m_dCoords;
public:
  VectorND();
  VectorND( const int, const double* );
  ~VectorND(){ if ( this->m_dCoords ) delete[] this->m_dCoords; }

  const int getMeret() const { return this->m_imeret; }
  const double getICoord( const int num ) const { return this->m_dCoords[ num ]; }

  const void print() const;
  void setCoords(const int, const double* );
  void addVector( const VectorND& );

  VectorND& operator+( const VectorND& ) const;// 2 objektum sszege 

  VectorND& operator+( double ) const;// vector objektum sszeadsa konstans rtkkel


  /*

  Feladat:
  Valstsuk meg az albbi opertor tlterhelseket:

  VectorND& operator-( const VectorND& ) const;  // 2 objektum klnbsge 
  VectorND& operator-( double ) const; // vector objektumbl konstans rtk kivonsa 
  VectorND& operator*( double ) const; // vector objektum szorzsa konstans rtkkel 
  VectorND& operator*( const VectorND& ) const; // vector objektumok elemenknti szorzsa 
  VectorND& operator/( double ) const; // vector objektum osztsa konstans rtkkel 
  VectorND& operator/( const VectorND& ) const; // vector objektumok elemenknti osztsa 


  */


};

#endif